;;; This file is part of turtle, a turtle-graphics system for Scheme.

;;; Copyright (C) 2008  Luca Saiu

;;; This program is free software: you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation, either version 3 of the License, or
;;; (at your option) any later version.

;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.

;;; You should have received a copy of the GNU General Public License
;;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(load "useful-macros.scm")


(hide)

(define circle
  (lambda ()
    (n-times 360
             (move 2)
             (left 1))))

(let ((step 10))
  (for-step i 1 360 step
            (circle)
            (left step)))

(show)
(sleep 2)
